Rails.application.routes.draw do
  
  namespace :panel do
    namespace :personal_patent do
      namespace :desktop do
        match "patent_window" => "personal_patents#patent_window"
        resources :personal_patents
        resources :plugin_intros
      end
      namespace :back_end do
	  
        match 'writing_patent_setting' => "writing_patents#writing_patent_setting" ,:as => :writing_patent_setting
		  		
        resources :writing_patents do
          collection do
            get 'delete'
            get 'data_share'
          end
		  
          match "writing_patent_category_quick_add" => "writing_patents#writing_patent_category_quick_add" ,:as => :writing_patent_category_quick_add
          match "writing_patent_category_quick_edit" => "writing_patents#writing_patent_category_quick_edit" ,:as => :writing_patent_category_quick_edit
        end
        
        resources :personal_patent_intros
        resources :writing_patent_categorys
        resources :tags
      end
      namespace :front_end do
        resources :writing_patents
      end
      namespace :plugin do
        resources :writing_patents
      end
      namespace :widget do
        match "writing_patents" => "writing_patents#index"
        match "home_list" => "writing_patents#home_list"
        match "reload_writing_patents" => "writing_patents#reload_writing_patents"
      end
    end
  end
 match "/appfront/*path" => redirect("/panel/*path")
 
end
